From c35fe99641563c1ee7f5c0c97ec0cc0db04e2695 Mon Sep 17 00:00:00 2001
From: Stanislav Brabec <sbrabec@suse.com>
Date: Fri, 24 Jul 2015 20:29:07 +0200
Subject: [PATCH 04/12] Make BUILD_LIBMOUNT and BUILD_PYLIBMOUNT independent

If BUILD_LIBMOUNT is false then BUILD_PYLIBMOUNT is ignored.

Make BUILD_PYLIBMOUNT independent on BUILD_LIBMOUNT.

Signed-off-by: Stanislav Brabec <sbrabec@suse.com>
---
 libmount/Makemodule.am        | 7 ++++++-
 libmount/python/Makemodule.am | 4 ----
 2 files changed, 6 insertions(+), 5 deletions(-)

diff --git a/libmount/Makemodule.am b/libmount/Makemodule.am
index 8546c2f..7e96f3e 100644
--- a/libmount/Makemodule.am
+++ b/libmount/Makemodule.am
@@ -1,7 +1,6 @@
 if BUILD_LIBMOUNT
 
 include libmount/src/Makemodule.am
-include libmount/python/Makemodule.am
 
 if ENABLE_GTK_DOC
 # Docs uses separate Makefiles
@@ -13,3 +12,9 @@ PATHFILES      += libmount/mount.pc
 EXTRA_DIST     += libmount/COPYING
 
 endif # BUILD_LIBMOUNT
+
+if BUILD_PYLIBMOUNT
+
+include libmount/python/Makemodule.am
+
+endif # BUILD_PYLIBMOUNT
diff --git a/libmount/python/Makemodule.am b/libmount/python/Makemodule.am
index 367d324..a8416d6 100644
--- a/libmount/python/Makemodule.am
+++ b/libmount/python/Makemodule.am
@@ -1,5 +1,3 @@
-if BUILD_PYLIBMOUNT
-
 pylibmountexecdir = $(pyexecdir)/libmount
 
 # Please, don't use $pythondir for the scripts. We have to use the same
@@ -31,5 +29,3 @@ dist_check_SCRIPTS += libmount/python/test_mount_tab.py
 dist_check_SCRIPTS += libmount/python/test_mount_tab_update.py
 
 CLEANFILES += *.img
-
-endif # BUILD_PYLIBMOUNT
-- 
2.4.5

